Skip to main content
GET
/
api
/
templates
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "external_id": "<string>",
      "folder_name": "<string>",
      "shared": true,
      "download_url": "<string>",
      "field_count": 123,
      "submitter_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "thumbnail_url": "<string>"
    }
  ],
  "pagination": {
    "count": 123,
    "next": 123,
    "prev": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spitshake.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

API token generated at Settings > API

Query Parameters

limit
integer
default:10
Required range: x <= 100
after
integer

Cursor for next page

before
integer

Cursor for previous page

folder_name
string

Filter by folder

external_id
string

Filter by external ID

q
string

Search by name

archived
enum<string>

Set to "true" to list archived templates

Available options:
true

Response

200 - application/json

List of templates

data
object[]
pagination
object